#!/bin/sh
set -e

echo "Запускаем ollama serve в фоне..."
# Запускаем сервер в фоне и сохраняем PID процесса
ollama serve &
SERVER_PID=$!

echo "Ожидаем, пока сервер станет доступным..."
# Пытаемся получить список моделей, ожидая доступность сервера
for i in $(seq 1 30); do
  if ollama list >/dev/null 2>&1; then
    echo "Сервер доступен."
    break
  fi
  echo "Сервер ещё не готов, ждём..."
  sleep 1
done

echo "Проверяем наличие модели nomic-embed-text..."
# Вывод списка моделей для отладки
ollama list

# Если модели нет, выполняем загрузку
if ! ollama list | grep -q 'nomic-embed-text'; then
  echo "Модель nomic-embed-text не найдена. Загружаем..."
  ollama pull nomic-embed-text
else
  echo "Модель nomic-embed-text уже установлена."
fi

echo "Сервер ollama запущен и работает. Ожидание завершения процесса..."
# Ожидаем завершения фонового процесса сервера
wait $SERVER_PID
